CVE-2011-1179

Current Description

The SPICE Firefox plug-in (spice-xpi) 2.4, 2.3, 2.2, and possibly other versions allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via vectors related to (1) plugin/nsScriptablePeer.cpp and (2) plugin/plugin.cpp, which trigger multiple uses of an uninitialized pointer.

Basic Data

PublishedApril 18, 2011
Last ModifiedAugust 17, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-119
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:H/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityHIGH
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score5.1
SeverityMEDIUM
Exploitability Score4.9
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • AND
    • OR - Configuration 1
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3ApplicationRedhatSpice-xpi2.2*******
      2.3ApplicationRedhatSpice-xpi2.3*******
      2.3ApplicationRedhatSpice-xpi2.4*******
    • OR Running on/with:
      Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
      2.3ApplicationMozillaFirefox********

Vulnerable Software List

VendorProductVersions
Redhat Spice-xpi 2.2, 2.3, 2.4

References

NameSourceURLTags
44060http://secunia.com/advisories/44060SECUNIAVendor Advisory
RHSA-2011:0426http://www.redhat.com/support/errata/RHSA-2011-0426.htmlREDHAT
RHSA-2011:0427http://www.redhat.com/support/errata/RHSA-2011-0427.htmlREDHAT
47269http://www.securityfocus.com/bid/47269BID
1025304http://www.securitytracker.com/id?1025304SECTRACK
ADV-2011-0899http://www.vupen.com/english/advisories/2011/0899VUPENVendor Advisory
https://bugzilla.redhat.com/attachment.cgi?id=487006&action=diffhttps://bugzilla.redhat.com/attachment.cgi?id=487006&action=diffMISCPatch
https://bugzilla.redhat.com/show_bug.cgi?id=689931https://bugzilla.redhat.com/show_bug.cgi?id=689931CONFIRMPatch
spicexpi-pointer-privilege-escalation(66777)https://exchange.xforce.ibmcloud.com/vulnerabilities/66777XF